import { FlexValue, FlexValueSync, IFlexOptions } from './types';
export declare class Flex {
    /**
     * Handles both synchronous and asynchronous values.
     */
    static get<T>(value: FlexValue<T>, options?: IFlexOptions<T>): T | Promise<T>;
    /**
     * Handles synchronous values, and throws on asynchronous ones.
     */
    static getSync<T>(value: FlexValueSync<T>, options?: IFlexOptions<T>): T;
}
